Code P_2_3_5_01_TABLET

P_2_3_5_01_TABLET
Grundlegende Prinzipien –  P.2 Form –  P.2.3 Zeichnen –  P.2.3.5 Zeichnen mit dem Stifttablett –  P_2_3_5_01_TABLET

Pages


  • 248 - 249

  • 250 - 251

Comments

  • 2009-11-05 @ 7:41 am   |  Comment by aaajiao

    INFO: Applet was not ready to get location on screenNov 5, 2009 3:03:09 PM jpen.provider.Utils getLocationOnScreen

  • 2009-11-06 @ 9:18 am   |  Comment by Hartmut Bohnacker

    Hi, thanks for the feedback. But this a message that I have almost all the time. The programm should still work if you have a tablet connected (and installed if necessary). Otherwise this programm will not draw anything.

  • 2009-11-21 @ 6:44 pm   |  Comment by Wolfgang Herbold

    Working with a Wacom Intuos 2: this sketch is indeed not working (!)

    21.11.2009 18:59:24 jpen.provider.NativeLibraryLoader$4 run
    INFO: loading JNI library: jpen-2 ...
    21.11.2009 18:59:24 jpen.provider.NativeLibraryLoader$4 logOnFail
    INFO: jpen-2 couldn't be loaded
    21.11.2009 18:59:24 jpen.provider.NativeLibraryLoader load
    INFO: no suitable JNI library found
    21.11.2009 18:59:24 jpen.provider.Utils getLocationOnScreen
    INFO: Applet was not ready to get location on screen

    Where do I get a suitable JNI library?

  • 2009-11-23 @ 10:24 am   |  Comment by Hartmut Bohnacker  |  Download Attachment

    Hi Wolfgang, sorry about that. We couldn't test the tablet stuff on all platforms and with all tablets. I've seen, that there is a newer version of the jpen library that we're using. You can try to replace the library folder in the generativedesign library with the one in the attached zip file. It still worked on my Mac and with Wacom Intuos 3, but produced a lot more strange looking warnings. And it seemed, that it took more time to initialize (some seconds). But maybe it works for you.

  • 2009-12-29 @ 2:01 pm   |  Comment by Wolfgang Herbold

    Dear Mr. Bohnacker,

    Many Thanks for your reply! I replaced the library as you told me, but it dind't work either. But don't mind. I'm with my Computer and equipment three generations behind the standart (as I just heard). So I replaced the library again with the "old" library. The scripts are running - but now I'm getting this all the time when I run a script: "getComponentVersion could not resolve this component alias.
    getComponentVersion failed." Did I screw up something ?

     

  • 2012-05-10 @ 5:35 pm   |  Comment by tamara

    Hello!

     

    I bought a graphic tablet ( Bambooto run this code, but unfortunatley it still doesn't work... somehting is wrttien below the interface page:

     

    10 mai 2012 17:29:52 jpen.provider.NativeLibraryLoader$4 run
    INFO: loading JPen 2-100213 JNI library: jpen-2-3 ...
    10 mai 2012 17:29:52 jpen.provider.NativeLibraryLoader$4 run
    INFO: jpen-2-3 loaded

     

    but i have no idea of the meaning... could anyone help me with this problem?

    many thanks!

     

    Tamara

  • 2012-11-13 @ 11:42 am   |  Comment by elodie

    I have the same problem as you Tamara : the same error message and the same tablet. I tried to re-import the library .... but nothing

Leave a Comment

   (required)

  

Please enable JavaScript to post a comment.

(.zip, max. 1MB)  

Proof that you are human!
Please paste the snippet below in an empty Processing sketch!
What number does the Processing console show?

randomSeed(40247);
println(int(random(100000)));

  (required)